| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PropertyHelper Class Reference

`#include <Property.hpp>`

## Static Public Member Functions

static size_t | serialized_size (const Property &property, size_t current_alignment=0)
static size_t | serialized_size (const PropertySeq &properties, size_t current_alignment=0)

## Member Function Documentation

## ◆ serialized_size() [1/2]

size_t serialized_size | ( | const Property & | property,
|  | size_t | current_alignment = 0 )

inline static

## ◆ serialized_size() [2/2]

size_t serialized_size | ( | const PropertySeq & | properties,
|  | size_t | current_alignment = 0 )

inline static

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/Property.hpp